Cyberduck Mountain Duck CLI

#77 closed enhancement (fixed)

Let folders respect "adjust file permissions" preference

Reported by: christh@… Owned by: dkocher
Priority: normal Milestone: 2.8
Component: core Version: 2.5.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

In the preferences, I set it to adjust file permissions on upload. This works fine on files. However, folders' permissions do not get changed. I generally upload entire folders, and I want them and all subfolders' and all files' permissions to be whatever I have specified in the preference panel.

Change History (10)

comment:1 Changed on Jan 4, 2006 at 7:15:20 PM by dkocher

  • Status changed from new to assigned

comment:2 Changed on Jan 9, 2006 at 9:06:00 AM by tuupola@…

This is a feature I would like to see too. I have an application which relies on specific directory permissions. Currently I need to cleanup after uploads using cronjob because manually changing the permissions is too much for some users. Having Cyberduck respect the default permissions for folders too would fix the problem.

comment:3 Changed on Jan 10, 2006 at 8:59:00 AM by tuupola@…

To continue on this one. Directory permissions should be regarded not only when uploading directories but also when creating them with New Folder command.

comment:4 Changed on Jan 31, 2006 at 10:25:12 PM by dkocher

  • Milestone changed from 2.6 to 2.5.5

comment:5 Changed on Feb 4, 2006 at 11:01:01 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:6 Changed on Mar 9, 2006 at 4:27:42 PM by tuupola@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

Upgraded to Version 2.5.5 (1976) and does not work. I tried it against two different versions of ssh server. See the screenshot below. The folder test was uploaded and test2 was created with New folder command. They both have 755 permissions when they should be 775. I can change them manually to 775 via Info.

http://www.appelsiini.net/~tuupola/bugs/cyberduck_folder.jpg

How does Cyberduck try to preserve the permissions? First upload or create and then chmod? Is this a server issue or are other still experiencing the same?

I reopen the ticket for now.

comment:7 Changed on Mar 9, 2006 at 5:24:20 PM by dkocher

The default permissions set in the preferences only apply to files but not folders. Auto-adjusting the permissions means that permissions will be 'copied' from the local files and folders. Probably one should open a new enhancement ticket to allow default permissions for folders as well.

comment:8 Changed on Mar 9, 2006 at 6:46:09 PM by tuupola@…

Ok. I thought this ticket was about that:

... and I want them and all subfolders' and all files' permissions to be whatever I have specified in the preference panel. modest semi formal dresses plus size

Maybe I misunderstood something?

Last edited on Jan 13, 2011 at 5:34:11 PM by rhunna (previous) (diff)

comment:9 Changed on Apr 5, 2006 at 6:06:49 PM by dkocher

  • Milestone changed from 2.5.5 to 2.5.6
  • Status changed from reopened to new

comment:11 Changed on Feb 24, 2007 at 4:26:23 PM by dkocher

  • Milestone changed from 2.9 to 2.8
  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r2871. Changes in Preferences.nib yet to be commited.

Note: See TracTickets for help on using tickets.
swiss made software